Package ru.bitel.bgbilling.modules.bill.server.bean

# Class TemplateBillManager

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.TemplateBillManager

    public class TemplateBillManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TemplateBillManager​(java.sql.Connection con, int moduleId, DocumentType documentType)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<TemplateBill>` | `getTemplatePayBillList​(Preferences moduleSetup, int yy, int mm, java.lang.String contractLabels, java.lang.String cids, java.lang.String docTypes, java.lang.String[] outgoing)` | Генерация счетов.
  `java.util.List<TemplateBill>` | `getTemplatePayBillList​(Preferences moduleSetup, int yy, int mm, java.lang.String contractLabels, java.lang.String cids, java.lang.String docTypes, java.lang.String[] outgoing, boolean checkPast)` | Генерация счетов
  `void` | `getTemplatePositions​(ContractManager contractManager, TemplateBill bill, java.util.Calendar date, int contractId, java.lang.String billCids, ContractDocType contractDocType, DocType docType, java.util.Map<java.lang.Integer,​Position> positionMap)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TemplateBillManager

    public TemplateBillManager​(java.sql.Connection con, int moduleId, DocumentType documentType)

- ## Method Details

  - ### getTemplatePayBillList

    public java.util.List<TemplateBill> getTemplatePayBillList​(Preferences moduleSetup, int yy, int mm, java.lang.String contractLabels, java.lang.String cids, java.lang.String docTypes, java.lang.String[] outgoing) throws ru.bitel.bgbilling.common.BGException
    Генерация счетов. Не генерирует счета за будущее.
    Parameters:
      `moduleSetup` - -setup модуля Бухгалтерия
      `yy` - - год
      `mm` - = месяц
      `contractLabels` - - метки договоров
      `cids` - - договора
      `docTypes` - - типы документов
      `outgoing` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTemplatePayBillList

    public java.util.List<TemplateBill> getTemplatePayBillList​(Preferences moduleSetup, int yy, int mm, java.lang.String contractLabels, java.lang.String cids, java.lang.String docTypes, java.lang.String[] outgoing, boolean checkPast) throws ru.bitel.bgbilling.common.BGException
    Генерация счетов
    Parameters:
      `moduleSetup` - -setup модуля Бухгалтерия
      `yy` - - год
      `mm` - = месяц
      `contractLabels` - - метки договоров
      `cids` - - договора
      `docTypes` - - типы документов
      `outgoing` -
      `checkPast` - - true: проверять то, что мы не генериурем счет в будущем и если в будущем, то ничего не делать.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTemplatePositions

    public void getTemplatePositions​(ContractManager contractManager, TemplateBill bill, java.util.Calendar date, int contractId, java.lang.String billCids, ContractDocType contractDocType, DocType docType, java.util.Map<java.lang.Integer,​Position> positionMap)